# $Revision: 1.19 $, $Date: 2002/08/18 17:07:52 $
Summary:	MM - Shared Memory Library
Summary(pl):	MM - Biblioteka dzielonej pamici
Name:		mm
Version:	1.1.3
Release:	6
Group:		Libraries
License:	BSD-like (see LICENSE)
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Source0:	http://www.engelschall.com/sw/mm/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-tmpfile.patch
URL:		http://www.engelschall.com/sw/mm/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libmm1

%description
The MM library is a 2-layer abstraction library which simplifies the
usage of shared memory between forked (and this way strongly related)
processes under Unix platforms. On the first (lower) layer it hides
all platform dependent implementation details (allocation and locking)
when dealing with shared memory segments and on the second (higher)
layer it provides a high-level malloc(3)-style API for a convenient
and well known way to work with data-structures inside those shared
memory segments.

%description -l pl
MM jest 2-warstwow, abstrakcyjn bibliotek upraszczajc korzystanie
z pamici dzielonej pomidzy sforkowanymi (i w ten sposb mocno
powizanymi) procesami na platformach uniksowych. Pierwsza warstwa
(nisza) ukrywa wszystkie szczegy zalene od platformy (alokacja i
blokowanie) przy obsudze segmentw pamici dzielonej. Druga (wysza)
warstwa daje wysokopoziomowe API podobne do malloc(3) aby wygodnie
pracowa ze strukturami danych w tych segmentach pamici dzielonej.

%package devel
Summary:	Header files and development documentation for mm
Summary(pl):	Pliki nagwkowe i dokumentacja do mm
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libmm1-devel

%description devel
Header files and development documentation for mm.

%description devel -l pl
Pliki nagwkowe i dokumentacja do biblioteki mm.

%package static
Summary:	Static mm libraries
Summary(pl):	Biblioteki statyczne mm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static mm libraries.

%description static -l pl
Biblioteki statyczne mm.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README LICENSE
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mm-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mm.spec,v $
Revision 1.19  2002/08/18 17:07:52  blues
- release 6 - license fix

Revision 1.18  2002/07/31 10:14:59  qboosh
- added security patch (insecure temp file creation) from mdk
- added missing doc, release 5

Revision 1.17  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.16  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/24 05:54:45  kloczek
- typos.

Revision 1.13  2002/01/24 05:50:59  kloczek
- release 4: libmm1{,-devel} added to Oboletes for allow upgrade from MDK.

Revision 1.12  2002/01/18 02:13:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/10/11 08:37:47  qboosh
- adapterized, remaining pl translations, removed duplicated %%changelog

Revision 1.10  2001/08/09 03:29:46  agaran
s/configure/configure2_13/
aclocal/autoconf regeneration dont help

Revision 1.9  2001/03/23 16:33:17  baggins
- release 3
- rebuild with new glibc

Revision 1.8  2000/10/10 21:52:00  kloczek
- release 2: use new rpm automation.

Revision 1.7  2000/07/31 07:26:02  kloczek
- updated to 1.1.3.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/23 17:09:35  kura
- release 2
- :%!grep -v %find_lang

Revision 1.3  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.1  1999/12/18 12:57:42  kloczek
- initial version.
